Bug 739367 - Review Request: php-pecl-mysqlnd-qc - A query cache plugin for mysqlnd
Review Request: php-pecl-mysqlnd-qc - A query cache plugin for mysqlnd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthieu Saulnier
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-18 05:11 EDT by Remi Collet
Modified: 2012-12-20 10:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
casper: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2011-09-18 05:11:23 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-pecl-mysqlnd-qc/php-pecl-mysqlnd-qc.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-qc-1.0.1-1.remi.src.rpm
Description: 
The mysqlnd query result cache plugin is a mysqlnd plugin.
It adds basic client side result set caching to all PHP MySQL extensions
(ext/mysql, ext/mysqli, PDO_MySQL). if they are compiled to use mysqlnd.
It does not change the API of the MySQL extensions and thus it operates
virtually transparent for applications.

Documentation : http://www.php.net/mysqlnd_qc
Comment 1 Matthieu Saulnier 2011-10-04 17:08:07 EDT
Hello
This is an informal review

[X] rpmlint must be run on every package.

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[X] The package must meet the Packaging Guidelines.

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[X] The License field in the package spec file must match the actual license.

[NA] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
      Upstream md5sum: 4171ccd485fcccf5ffb2e96442ddae35
      Package md5sum:  4171ccd485fcccf5ffb2e96442ddae35

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
     Build successful on Mock fedora-rawhide-x86_64

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[X] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[X] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.
Comment 2 Remi Collet 2012-01-09 14:17:07 EST
I delay this package review request because this extension is broken for PHP 5.4.

Will update it ASAP.
Comment 3 Remi Collet 2012-01-30 04:35:55 EST
Ok, I also have a working spec for fedora 17
https://raw.github.com/remicollet/remirepo/master/php-pecl-mysqlnd-qc/php-pecl-mysqlnd-qc-dev.spec

And http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-qc-1.1.0-0.1.alpha.svn322926.remi.src.rpm

Version 1.0.1 still the target for fedora 16
version 1.1.0 will be the target for fedora 17
Comment 4 Remi Collet 2012-04-30 04:43:24 EDT
Spec URL:
https://raw.github.com/remicollet/remirepo/master/php-pecl-mysqlnd-qc/php-pecl-mysqlnd-qc.spec
New SRPM URL:
http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-qc-1.1.1-1.remi.src.rpm

Version 1.1.1 will be target for both fedora 16 (php 5.3) and fedora 17 (php 5.4)
Comment 6 Matthieu Saulnier 2012-10-08 17:55:12 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[-]: MUST Static libraries in -static subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
     Package target including el5 -> PASS
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
     https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
     Package target including el5 -> FAIL
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
$ rpmlint *.rpm
php-pecl-mysqlnd-qc.src: W: spelling-error %description -l en_US mysql -> myself
php-pecl-mysqlnd-qc.src: W: spelling-error %description -l en_US mysqli -> myelitis
php-pecl-mysqlnd-qc.src:46: W: unversioned-explicit-obsoletes php53-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc.src:47: W: unversioned-explicit-obsoletes php53u-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc.src:49: W: unversioned-explicit-obsoletes php54-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc.x86_64: W: spelling-error %description -l en_US mysql -> myself
php-pecl-mysqlnd-qc.x86_64: W: spelling-error %description -l en_US mysqli -> myelitis
php-pecl-mysqlnd-qc.x86_64: W: obsolete-not-provided php53-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc.x86_64: W: obsolete-not-provided php53u-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc.x86_64: W: obsolete-not-provided php54-pecl-mysqlnd-qc
php-pecl-mysqlnd-qc-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 11 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
mysqlnd_qc-1.1.1.tgz :
  SHA256SUM this package     : e31fd037b4d63b53009bdcdf7cf3bc2b75c54f857ad055dc4b032551afdc546f
  SHA256SUM upstream package : e31fd037b4d63b53009bdcdf7cf3bc2b75c54f857ad055dc4b032551afdc546f

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
     Built in f19 f18 f17 f16 mock but build failed in el6 mock
EL6 mock: Error: No package found for php-devel >= 5.3.4

[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
IIRC package target include el5, so:
- Add %clean section with "rm -rf %{buildroot}"
- Add "rm -rf %{buildroot}" at the beginning of %install
Comment 7 Matthieu Saulnier 2012-10-08 18:25:23 EDT
(In reply to comment #4)
> Version 1.1.1 will be target for both fedora 16 (php 5.3) and fedora 17 (php
> 5.4)
Apologies, I've seen this after to send the review...

So please remove Buildroot Tag.
  https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
Comment 8 Remi Collet 2012-10-09 05:33:21 EDT
Even if I don't see in the Guidelines why this "MUST" be removed...
(just that it is no more required, and will be ignored)

Changes:
https://github.com/remicollet/remirepo/commit/88966fcfacf680a8a54956a03e74381d90f2c314
https://github.com/remicollet/remirepo/commit/abe2d328f9dfe390f7ecaa3f5693017b927cfbfb

New SRPM: http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-qc-1.1.1-2.remi.src.rpm
Comment 9 Matthieu Saulnier 2012-10-09 12:31:15 EDT
Okay it is ready now

-----------------
PACKAGE APPROVED
-----------------
Comment 10 Remi Collet 2012-10-09 13:15:20 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-pecl-mysqlnd-qc
Short Description: A query cache plugin for mysqlnd
Owners: remi
Branches: f17 f18 el6
InitialCC:
Comment 11 Gwyn Ciesla 2012-10-09 13:18:19 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-10-09 15:18:02 EDT
php-pecl-mysqlnd-qc-1.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pecl-mysqlnd-qc-1.1.1-2.fc18
Comment 13 Fedora Update System 2012-10-09 15:18:28 EDT
php-pecl-mysqlnd-qc-1.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pecl-mysqlnd-qc-1.1.1-2.fc17
Comment 14 Fedora Update System 2012-10-10 01:04:43 EDT
php-pecl-mysqlnd-qc-1.1.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-12-20 10:00:59 EST
php-pecl-mysqlnd-qc-1.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.